org.apache.tomcat.util.net

## Enum SendfileKeepAliveState

- java.lang.Object
- - java.lang.Enum<SendfileKeepAliveState>
  - - org.apache.tomcat.util.net.SendfileKeepAliveState

- All Implemented Interfaces:
    Serializable, Comparable<SendfileKeepAliveState>

      public enum SendfileKeepAliveState
      extends Enum<SendfileKeepAliveState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` Keep-alive is not in use.
    `OPEN` Keep-alive is in use.
    `PIPELINED` Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SendfileKeepAliveState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SendfileKeepAliveState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SendfileKeepAliveState NONE

      Keep-alive is not in use. The socket can be closed when the response has been written.

    - #### PIPELINED

          public static final SendfileKeepAliveState PIPELINED

      Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

    - #### OPEN

          public static final SendfileKeepAliveState OPEN

      Keep-alive is in use. The socket should be added to the poller (or equivalent) to await more data as soon as the current response has been written.

  - ### Method Detail

    - #### values

          public static SendfileKeepAliveState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendfileKeepAliveState c : SendfileKeepAliveState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SendfileKeepAliveState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.